Index: rttherm/viewtherm.c
===================================================================
--- rttherm/viewtherm.c	(revision 54048)
+++ rttherm/viewtherm.c	(working copy)
@@ -389,7 +389,7 @@
 	mlib_free(regp);
     }
     if (env_region.reg_mfuncs) {
-	bu_free((char *)env_region.reg_name, "env_region.reg_name");
+	bu_free((genptr_t)env_region.reg_name, "env_region.reg_name");
 	env_region.reg_name = (char *)0;
 	mlib_free(&env_region);
     }
@@ -663,7 +663,7 @@
 	    scanline[y].sl_buf = (char *)0;
 	}
     }
-    bu_free((char *)scanline, "struct scanline[height]");
+    bu_free((genptr_t)scanline, "struct scanline[height]");
     scanline = (struct scanline *)0;
 }
 
Index: libged/clone.c
===================================================================
--- libged/clone.c	(revision 54048)
+++ libged/clone.c	(working copy)
@@ -348,7 +348,7 @@
 	}
     }
     if (rp)
-	bu_free((char *)rp, "copy_solid record[]");
+	bu_free((genptr_t)rp, "copy_solid record[]");
 
     return;
 }
@@ -547,7 +547,7 @@
 	}
 
 	/* our responsibility to free the record */
-	bu_free((char *)rp, "deallocate copy_v4_comb() db_getmrec() record");
+	bu_free((genptr_t)rp, "deallocate copy_v4_comb() db_getmrec() record");
     }
 
     return dp;
@@ -770,11 +770,11 @@
 
 done_copy_tree:
     if (rp)
-	bu_free((char *)rp, "copy_tree record[]");
+	bu_free((genptr_t)rp, "copy_tree record[]");
     if (copyname)
-	bu_free((char *)copyname, "free clone_get_name() copyname");
+	bu_free((genptr_t)copyname, "free clone_get_name() copyname");
     if (nextname)
-	bu_free((char *)nextname, "free clone_get_name() copyname");
+	bu_free((genptr_t)nextname, "free clone_get_name() copyname");
 
     return copy;
 }
Index: libged/put_comb.c
===================================================================
--- libged/put_comb.c	(revision 54048)
+++ libged/put_comb.c	(working copy)
@@ -360,7 +360,7 @@
 	    if (ptr == (char *)NULL) {
 		bu_list_free(&HeadLines.l);
 		if (rt_tree_array)
-		    bu_free((char *)rt_tree_array, "red: tree list");
+		    bu_free((genptr_t)rt_tree_array, "red: tree list");
 		bu_log("no name specified\n");
 		bu_free(str, "dealloc bu_strdup str");
 		return GED_ERROR;
@@ -395,9 +395,9 @@
 		    ptr = strtok((char *)NULL, _delims);
 		    if (!ptr) {
 			bu_log("incomplete matrix for member %s - No changes made\n", name);
-			bu_free((char *)matrix, "red: matrix");
+			bu_free((genptr_t)matrix, "red: matrix");
 			if (rt_tree_array)
-			    bu_free((char *)rt_tree_array, "red: tree list");
+			    bu_free((genptr_t)rt_tree_array, "red: tree list");
 			bu_list_free(&HeadLines.l);
 			bu_free(str, "dealloc bu_strdup str");
 			return GED_ERROR;
@@ -405,7 +405,7 @@
 		    matrix[k] = atof(ptr);
 		}
 		if (bn_mat_is_identity(matrix)) {
-		    bu_free((char *)matrix, "red: matrix");
+		    bu_free((genptr_t)matrix, "red: matrix");
 		    matrix = (matp_t)NULL;
 		}
 
Index: libged/comb_std.c
===================================================================
--- libged/comb_std.c	(revision 54048)
+++ libged/comb_std.c	(working copy)
@@ -252,9 +252,9 @@
 	tp->tr_b.tb_left = prev->tp;
 	tp->tr_b.tb_right = next->tp;
 	BU_LIST_DEQUEUE(&tok->l);
-	bu_free((char *)tok, "tok");
+	bu_free((genptr_t)tok, "tok");
 	BU_LIST_DEQUEUE(&prev->l);
-	bu_free((char *)prev, "prev");
+	bu_free((genptr_t)prev, "prev");
 	next->tp = tp;
 	tok = next;
     }
@@ -290,9 +290,9 @@
 	tp->tr_b.tb_left = prev->tp;
 	tp->tr_b.tb_right = next->tp;
 	BU_LIST_DEQUEUE(&tok->l);
-	bu_free((char *)tok, "tok");
+	bu_free((genptr_t)tok, "tok");
 	BU_LIST_DEQUEUE(&prev->l);
-	bu_free((char *)prev, "prev");
+	bu_free((genptr_t)prev, "prev");
 	next->tp = tp;
 	tok = next;
     }
@@ -318,9 +318,9 @@
 
 	/* this is an eligible operand surrounded by parens */
 	BU_LIST_DEQUEUE(&next->l);
-	bu_free((char *)next, "next");
+	bu_free((genptr_t)next, "next");
 	BU_LIST_DEQUEUE(&prev->l);
-	bu_free((char *)prev, "prev");
+	bu_free((genptr_t)prev, "prev");
     }
 
     if (hp->forw == hp->back && hp->forw != hp)
@@ -349,7 +349,7 @@
     tok = BU_LIST_NEXT(tokens, hp);
     final_tree = tok->tp;
     BU_LIST_DEQUEUE(&tok->l);
-    bu_free((char *)tok, "tok");
+    bu_free((genptr_t)tok, "tok");
 
     return final_tree;
 }
Index: libged/erase.c
===================================================================
--- libged/erase.c	(revision 54048)
+++ libged/erase.c	(working copy)
@@ -162,7 +162,7 @@
 
 	max_count = BU_PTBL_LEN(tbl) + last_opt + 1;
 	bu_ptbl_free(tbl);
-	bu_free((char *)tbl, "ged_erase ptbl");
+	bu_free((genptr_t)tbl, "ged_erase ptbl");
 	new_argv = (char **)bu_calloc(max_count+1, sizeof(char *), "ged_erase new_argv");
 	new_argc = bu_argv_from_string(new_argv, max_count, bu_vls_addr(&vls));
 
Index: libged/analyze.c
===================================================================
--- libged/analyze.c	(revision 54048)
+++ libged/analyze.c	(working copy)
@@ -215,7 +215,7 @@
     bu_vls_printf(gedp->ged_result_str, "%-*.*s+-%-*.*s-+\n",
 		  indent, indent, " ",
 		  nd, nd, dashes.buf);
-    bu_free((char *)table.rows, "print_volume_table: rows");
+    bu_free((genptr_t)table.rows, "print_volume_table: rows");
 }
 
 void print_edges_table(struct ged *gedp, table_t *table)
@@ -958,8 +958,8 @@
 	    tot_vol/GALLONS_TO_MM3
 	    );
 
-    bu_free((char *)face.pts, "analyze_arb8: pts");
-    bu_free((char *)table.rows, "analyze_arb8: rows");
+    bu_free((genptr_t)face.pts, "analyze_arb8: pts");
+    bu_free((genptr_t)table.rows, "analyze_arb8: rows");
 }
 
 
@@ -1045,10 +1045,10 @@
 	    );
 
     for (i = 0; i < aip->neqn; i++) {
-	bu_free((char *)faces[i].pts, "analyze_arbn: pts");
+	bu_free((genptr_t)faces[i].pts, "analyze_arbn: pts");
     }
-    bu_free((char *)faces, "analyze_arbn: faces");
-    bu_free((char *)table.rows, "analyze_arbn: rows");
+    bu_free((genptr_t)faces, "analyze_arbn: faces");
+    bu_free((genptr_t)table.rows, "analyze_arbn: rows");
     bu_vls_free(&tmpstr);
 }
 
@@ -1122,8 +1122,8 @@
 	    tot_vol/GALLONS_TO_MM3
 	    );
 
-    bu_free((char *)face.pts, "analyze_bot: pts");
-    bu_free((char *)table.rows, "analyze_bot: rows");
+    bu_free((genptr_t)face.pts, "analyze_bot: pts");
+    bu_free((genptr_t)table.rows, "analyze_bot: rows");
 }
 
 
@@ -1219,8 +1219,8 @@
 	    tot_vol/GALLONS_TO_MM3
 	    );
 
-    bu_free((char *)face.pts, "analyze_ars: pts");
-    bu_free((char *)table.rows, "analyze_ars: rows");
+    bu_free((genptr_t)face.pts, "analyze_ars: pts");
+    bu_free((genptr_t)table.rows, "analyze_ars: rows");
     bu_vls_free(&tmpstr);
 }
 
Index: libged/concat.c
===================================================================
--- libged/concat.c	(revision 54048)
+++ libged/concat.c	(working copy)
@@ -512,7 +512,7 @@
     /* Free the Hash tables */
     ptr = Tcl_FirstHashEntry(&name_tbl, &search);
     while (ptr) {
-	bu_free((char *)Tcl_GetHashValue(ptr), "new name");
+	bu_free((genptr_t)Tcl_GetHashValue(ptr), "new name");
 	ptr = Tcl_NextHashEntry(&search);
     }
     Tcl_DeleteHashTable(&name_tbl);
Index: libged/decompose.c
===================================================================
--- libged/decompose.c	(revision 54048)
+++ libged/decompose.c	(working copy)
@@ -114,7 +114,7 @@
 
 	    /* duplicate shell */
 	    tmp_s = (struct shell *)nmg_dup_shell(s, &trans_tbl, &gedp->ged_wdbp->wdb_tol);
-	    bu_free((char *)trans_tbl, "trans_tbl");
+	    bu_free((genptr_t)trans_tbl, "trans_tbl");
 
 	    /* move duplicate to temp region */
 	    (void) nmg_mv_shell_to_region(tmp_s, tmp_r);
Index: libged/ls.c
===================================================================
--- libged/ls.c	(revision 54048)
+++ libged/ls.c	(working copy)
@@ -455,7 +455,7 @@
 	}
 
 	bu_ptbl_free(tbl);
-	bu_free((char *)tbl, "wdb_ls_cmd ptbl");
+	bu_free((genptr_t)tbl, "wdb_ls_cmd ptbl");
     } else if (argc > 0) {
 	/* Just list specified names */
 	dirp = _ged_getspace(gedp->ged_wdbp->dbip, argc);
Index: libged/importFg4Section.c
===================================================================
--- libged/importFg4Section.c	(revision 54048)
+++ libged/importFg4Section.c	(working copy)
@@ -485,11 +485,11 @@
 	      bot_ip.faces, bot_ip.thickness, bot_ip.face_mode);
 
     if (mode == PLATE_MODE) {
-	bu_free((char *)bot_ip.thickness, "BOT thickness");
-	bu_free((char *)bot_ip.face_mode, "BOT face_mode");
+	bu_free((genptr_t)bot_ip.thickness, "BOT thickness");
+	bu_free((genptr_t)bot_ip.face_mode, "BOT face_mode");
     }
-    bu_free((char *)bot_ip.vertices, "BOT vertices");
-    bu_free((char *)bot_ip.faces, "BOT faces");
+    bu_free((genptr_t)bot_ip.vertices, "BOT vertices");
+    bu_free((genptr_t)bot_ip.faces, "BOT faces");
 }
 
 
@@ -577,12 +577,12 @@
 
     make_bot_object(argv[1], gedp->ged_wdbp);
     free((void *)lines);
-    bu_free((void *)grid_pts, "importFg4Section: grid_pts");
+    bu_free((genptr_t)grid_pts, "importFg4Section: grid_pts");
 
     /* free memory associated with globals */
-    bu_free((void *)faces, "importFg4Section: faces");
-    bu_free((void *)thickness, "importFg4Section: thickness");
-    bu_free((void *)facemode, "importFg4Section: facemode");
+    bu_free((genptr_t)faces, "importFg4Section: faces");
+    bu_free((genptr_t)thickness, "importFg4Section: thickness");
+    bu_free((genptr_t)facemode, "importFg4Section: facemode");
 
     faces = NULL;
     thickness = NULL;
Index: libged/png.c
===================================================================
--- libged/png.c	(revision 54048)
+++ libged/png.c	(working copy)
@@ -358,8 +358,8 @@
     info_p = png_create_info_struct(png_p);
     if (!info_p) {
 	bu_vls_printf(gedp->ged_result_str, "Could not create PNG info structure\n");
-	bu_free((void *)image, "draw_png, image");
-	bu_free((void *)bytes, "draw_png, bytes");
+	bu_free((genptr_t)image, "draw_png, image");
+	bu_free((genptr_t)bytes, "draw_png, bytes");
 
 	return GED_ERROR;
     }
@@ -387,8 +387,8 @@
     png_write_image(png_p, image);
     png_write_end(png_p, NULL);
 
-    bu_free((void *)image, "draw_png, image");
-    bu_free((void *)bytes, "draw_png, bytes");
+    bu_free((genptr_t)image, "draw_png, image");
+    bu_free((genptr_t)bytes, "draw_png, bytes");
 
     return GED_OK;
 }
Index: libged/lt.c
===================================================================
--- libged/lt.c	(revision 54048)
+++ libged/lt.c	(working copy)
@@ -100,7 +100,7 @@
 	bu_vls_free(&vls);
 
 	if (rt_tree_array)
-	    bu_free((char *)rt_tree_array, "printnode: rt_tree_array");
+	    bu_free((genptr_t)rt_tree_array, "printnode: rt_tree_array");
     }
     rt_db_free_internal(&intern);
 
Index: libged/comb.c
===================================================================
--- libged/comb.c	(revision 54048)
+++ libged/comb.c	(working copy)
@@ -239,7 +239,7 @@
     /* and finally, write it out */
     GED_DB_PUT_INTERNAL(gedp, dp, &intern, &rt_uniresource, 0);
 
-    bu_free((char *)tree_list, "combadd: tree_list");
+    bu_free((genptr_t)tree_list, "combadd: tree_list");
 
     return dp;
 }
Index: libged/wdb_comb_std.c
===================================================================
--- libged/wdb_comb_std.c	(revision 54048)
+++ libged/wdb_comb_std.c	(working copy)
@@ -258,9 +258,9 @@
 	tp->tr_b.tb_left = prev->tp;
 	tp->tr_b.tb_right = next->tp;
 	BU_LIST_DEQUEUE(&tok->l);
-	bu_free((char *)tok, "tok");
+	bu_free((genptr_t)tok, "tok");
 	BU_LIST_DEQUEUE(&prev->l);
-	bu_free((char *)prev, "prev");
+	bu_free((genptr_t)prev, "prev");
 	next->tp = tp;
 	tok = next;
     }
@@ -296,9 +296,9 @@
 	tp->tr_b.tb_left = prev->tp;
 	tp->tr_b.tb_right = next->tp;
 	BU_LIST_DEQUEUE(&tok->l);
-	bu_free((char *)tok, "tok");
+	bu_free((genptr_t)tok, "tok");
 	BU_LIST_DEQUEUE(&prev->l);
-	bu_free((char *)prev, "prev");
+	bu_free((genptr_t)prev, "prev");
 	next->tp = tp;
 	tok = next;
     }
@@ -324,9 +324,9 @@
 
 	/* this is an eligible operand surrounded by parens */
 	BU_LIST_DEQUEUE(&next->l);
-	bu_free((char *)next, "next");
+	bu_free((genptr_t)next, "next");
 	BU_LIST_DEQUEUE(&prev->l);
-	bu_free((char *)prev, "prev");
+	bu_free((genptr_t)prev, "prev");
     }
 
     if (hp->forw == hp->back && hp->forw != hp)
@@ -355,7 +355,7 @@
     tok = BU_LIST_NEXT(tokens, hp);
     final_tree = tok->tp;
     BU_LIST_DEQUEUE(&tok->l);
-    bu_free((char *)tok, "tok");
+    bu_free((genptr_t)tok, "tok");
 
     return final_tree;
 }
Index: libged/tables.c
===================================================================
--- libged/tables.c	(revision 54048)
+++ libged/tables.c	(working copy)
@@ -280,7 +280,7 @@
     }
 
 out:
-    bu_free((char *)tree_list, "new_tables: tree_list");
+    bu_free((genptr_t)tree_list, "new_tables: tree_list");
     intern.idb_meth->ft_ifree(&intern);
     return;
 }
Index: libged/wdb_importFg4Section.c
===================================================================
--- libged/wdb_importFg4Section.c	(revision 54048)
+++ libged/wdb_importFg4Section.c	(working copy)
@@ -467,11 +467,11 @@
 	      bot_ip.faces, bot_ip.thickness, bot_ip.face_mode);
 
     if (mode == PLATE_MODE) {
-	bu_free((char *)bot_ip.thickness, "BOT thickness");
-	bu_free((char *)bot_ip.face_mode, "BOT face_mode");
+	bu_free((genptr_t)bot_ip.thickness, "BOT thickness");
+	bu_free((genptr_t)bot_ip.face_mode, "BOT face_mode");
     }
-    bu_free((char *)bot_ip.vertices, "BOT vertices");
-    bu_free((char *)bot_ip.faces, "BOT faces");
+    bu_free((genptr_t)bot_ip.vertices, "BOT vertices");
+    bu_free((genptr_t)bot_ip.faces, "BOT faces");
 }
 
 
@@ -548,12 +548,12 @@
 
     make_bot_object(argv[1], wdbp);
     free((void *)lines);
-    bu_free((void *)grid_pts, "importFg4Section: grid_pts");
+    bu_free((genptr_t)grid_pts, "importFg4Section: grid_pts");
 
     /* free memory associated with globals */
-    bu_free((void *)FACES, "importFg4Section: faces");
-    bu_free((void *)THICKNESS, "importFg4Section: thickness");
-    bu_free((void *)facemode, "importFg4Section: facemode");
+    bu_free((genptr_t)FACES, "importFg4Section: faces");
+    bu_free((genptr_t)THICKNESS, "importFg4Section: thickness");
+    bu_free((genptr_t)facemode, "importFg4Section: facemode");
 
     FACES = NULL;
     THICKNESS = NULL;
Index: libged/wdb_track.c
===================================================================
--- libged/wdb_track.c	(revision 54048)
+++ libged/wdb_track.c	(working copy)
@@ -508,7 +508,7 @@
     /* rebuild the tree with GIFT semantics */
     comb->tree = (union tree *)db_mkgift_tree(tree_list, node_count, &rt_uniresource);
 
-    bu_free((char *)tree_list, "track_mk_tree_gift: tree_list");
+    bu_free((genptr_t)tree_list, "track_mk_tree_gift: tree_list");
 
     return 0;	/* OK */
 }
@@ -525,8 +525,8 @@
     while (BU_LIST_WHILE(wp, wmember, headp)) {
 	WDB_CK_WMEMBER(wp);
 	BU_LIST_DEQUEUE(&wp->l);
-	bu_free((char *)wp->wm_name, "wm_name");
-	bu_free((char *)wp, "wmember");
+	bu_free((genptr_t)wp->wm_name, "wm_name");
+	bu_free((genptr_t)wp, "wmember");
     }
 }
 
Index: libged/tire.c
===================================================================
--- libged/tire.c	(revision 54048)
+++ libged/tire.c	(working copy)
@@ -1443,12 +1443,12 @@
 		 number_of_tread_patterns, pattern_type);
 
     for (i = 0; i < 5; i++)
-	bu_free((char *)matrixelltread1[i], "matrixell1 element");
-    bu_free((char *)matrixelltread1, "matrixell1");
+	bu_free((genptr_t)matrixelltread1[i], "matrixell1 element");
+    bu_free((genptr_t)matrixelltread1, "matrixell1");
 
     for (i = 0; i < 5; i++)
-	bu_free((char *)matrixelltread2[i], "matrixell2 element");
-    bu_free((char *)matrixelltread2, "matrixell2");
+	bu_free((genptr_t)matrixelltread2[i], "matrixell2 element");
+    bu_free((genptr_t)matrixelltread2, "matrixell2");
 
     bu_vls_free(&str);
 }
@@ -1559,12 +1559,12 @@
 		 number_of_tread_patterns, patterntype);
 
     for (i = 0; i < 5; i++)
-	bu_free((char *)matrixelltred1[i], "matrixell1 element");
-    bu_free((char *)matrixelltred1, "matrixell1");
+	bu_free((genptr_t)matrixelltred1[i], "matrixell1 element");
+    bu_free((genptr_t)matrixelltred1, "matrixell1");
 
     for (i = 0; i < 5; i++)
-	bu_free((char *)matrixelltred2[i], "matrixell2 element");
-    bu_free((char *)matrixelltred2, "matrixell2");
+	bu_free((genptr_t)matrixelltred2[i], "matrixell2 element");
+    bu_free((genptr_t)matrixelltred2, "matrixell2");
 
     bu_vls_free(&str);
 }
@@ -1770,18 +1770,18 @@
 
 
     for (i = 0; i < 5; i++)
-	bu_free((char *)matrixell1[i], "matrixell1 element");
-    bu_free((char *)matrixell1, "matrixell1");
+	bu_free((genptr_t)matrixell1[i], "matrixell1 element");
+    bu_free((genptr_t)matrixell1, "matrixell1");
     for (i = 0; i < 5; i++)
-	bu_free((char *)matrixell2[i], "matrixell2 element");
-    bu_free((char *)matrixell2, "matrixell2");
+	bu_free((genptr_t)matrixell2[i], "matrixell2 element");
+    bu_free((genptr_t)matrixell2, "matrixell2");
 
     for (i = 0; i < 5; i++)
-	bu_free((char *)matrixcut1[i], "matrixcut1 element");
-    bu_free((char *)matrixcut1, "matrixcut1");
+	bu_free((genptr_t)matrixcut1[i], "matrixcut1 element");
+    bu_free((genptr_t)matrixcut1, "matrixcut1");
     for (i = 0; i < 5; i++)
-	bu_free((char *)matrixcut2[i], "matrixell2 element");
-    bu_free((char *)matrixcut2, "matrixell2");
+	bu_free((genptr_t)matrixcut2[i], "matrixell2 element");
+    bu_free((genptr_t)matrixcut2, "matrixell2");
 
     bu_vls_free(&str);
     bu_vls_free(&str2);
Index: libged/track.c
===================================================================
--- libged/track.c	(revision 54048)
+++ libged/track.c	(working copy)
@@ -1035,7 +1035,7 @@
     /* rebuild the tree with GIFT semantics */
     comb->tree = (union tree *)db_mkgift_tree(tree_list, node_count, &rt_uniresource);
 
-    bu_free((char *)tree_list, "track_mk_tree_gift: tree_list");
+    bu_free((genptr_t)tree_list, "track_mk_tree_gift: tree_list");
 
     return 0;	/* OK */
 }
@@ -1100,8 +1100,8 @@
     while (BU_LIST_WHILE(wp, wmember, headp)) {
 	WDB_CK_WMEMBER(wp);
 	BU_LIST_DEQUEUE(&wp->l);
-	bu_free((char *)wp->wm_name, "wm_name");
-	bu_free((char *)wp, "wmember");
+	bu_free((genptr_t)wp->wm_name, "wm_name");
+	bu_free((genptr_t)wp, "wmember");
     }
 }
 
Index: libged/wdb_obj.c
===================================================================
--- libged/wdb_obj.c	(revision 54048)
+++ libged/wdb_obj.c	(working copy)
@@ -768,7 +768,7 @@
 	return RT_DIR_NULL;
     }
 
-    bu_free((char *)tree_list, "combadd: tree_list");
+    bu_free((genptr_t)tree_list, "combadd: tree_list");
 
     return dp;
 }
@@ -3032,7 +3032,7 @@
 	}
 
 	bu_ptbl_free(tbl);
-	bu_free((char *)tbl, "wdb_ls_cmd ptbl");
+	bu_free((genptr_t)tbl, "wdb_ls_cmd ptbl");
     } else if (argc > 0) {
 	/* Just list specified names */
 	dirp = wdb_getspace(wdbp->dbip, argc);
@@ -4441,7 +4441,7 @@
     /* Free the Hash tables */
     ptr = Tcl_FirstHashEntry(&name_tbl, &search);
     while (ptr) {
-	bu_free((char *)Tcl_GetHashValue(ptr), "new name");
+	bu_free((genptr_t)Tcl_GetHashValue(ptr), "new name");
 	ptr = Tcl_NextHashEntry(&search);
     }
     Tcl_DeleteHashTable(&name_tbl);
@@ -6026,7 +6026,7 @@
 	bu_vls_free(&vls);
 
 	if (rt_tree_array)
-	    bu_free((char *)rt_tree_array, "printnode: rt_tree_array");
+	    bu_free((genptr_t)rt_tree_array, "printnode: rt_tree_array");
     }
     rt_db_free_internal(&intern);
 
@@ -6243,7 +6243,7 @@
 	    }
 	    db_free_tree(rt_tree_array[i].tl_tree, &rt_uniresource);
 	}
-	if (rt_tree_array) bu_free((char *)rt_tree_array, "printnode: rt_tree_array");
+	if (rt_tree_array) bu_free((genptr_t)rt_tree_array, "printnode: rt_tree_array");
     }
     rt_db_free_internal(&intern);
 }
Index: libged/bigE.c
===================================================================
--- libged/bigE.c	(revision 54048)
+++ libged/bigE.c	(working copy)
@@ -131,7 +131,7 @@
 
 	struct rt_comb_internal *comb;
 
-	bu_free((char *)eptr, "eptr");
+	bu_free((genptr_t)eptr, "eptr");
 
 	comb = (struct rt_comb_internal *)intern.idb_ptr;
 	RT_CK_COMB(comb);
@@ -662,7 +662,7 @@
 
 	    if (BU_LIST_IS_EMPTY(A)) {
 		MY_FREE_SEG_LIST(B, dgcdp->ap->a_resource);
-		bu_free((char *)B, "bu_list");
+		bu_free((genptr_t)B, "bu_list");
 
 #ifdef debug
 		show_seg(A, "Returning");
@@ -670,7 +670,7 @@
 
 		return A;
 	    } else if (BU_LIST_IS_EMPTY(B)) {
-		bu_free((char *)B, "bu_list");
+		bu_free((genptr_t)B, "bu_list");
 
 #ifdef debug
 		show_seg(A, "Returning");
@@ -698,7 +698,7 @@
 		}
 	    }
 	    MY_FREE_SEG_LIST(B, dgcdp->ap->a_resource);
-	    bu_free((char *)B, "bu_list");
+	    bu_free((genptr_t)B, "bu_list");
 	    MY_FREE_SEG_LIST(A, dgcdp->ap->a_resource);
 	    BU_LIST_INSERT_LIST(A, &ret);
 
@@ -716,7 +716,7 @@
 	    if (BU_LIST_IS_EMPTY(A) || BU_LIST_IS_EMPTY(B)) {
 		MY_FREE_SEG_LIST(A, dgcdp->ap->a_resource);
 		MY_FREE_SEG_LIST(B, dgcdp->ap->a_resource);
-		bu_free((char *)B, "bu_list");
+		bu_free((genptr_t)B, "bu_list");
 
 #ifdef debug
 		show_seg(A, "Returning");
@@ -741,7 +741,7 @@
 		}
 	    }
 	    MY_FREE_SEG_LIST(B, dgcdp->ap->a_resource);
-	    bu_free((char *)B, "bu_list");
+	    bu_free((genptr_t)B, "bu_list");
 	    MY_FREE_SEG_LIST(A, dgcdp->ap->a_resource);
 	    BU_LIST_INSERT_LIST(A, &ret)
 
@@ -757,7 +757,7 @@
 #endif
 
 	    if (BU_LIST_IS_EMPTY(A)) {
-		bu_free((char *)A, "bu_list");
+		bu_free((genptr_t)A, "bu_list");
 
 #ifdef debug
 		show_seg(B, "Returning B (A is empty)");
@@ -766,7 +766,7 @@
 		return B;
 	    }
 	    if (BU_LIST_IS_EMPTY(B)) {
-		bu_free((char *)B, "bu_list");
+		bu_free((genptr_t)B, "bu_list");
 
 #ifdef debug
 		show_seg(A, "Returning A (B is empty)");
@@ -931,7 +931,7 @@
 			}
 
 	    MY_FREE_SEG_LIST(B, dgcdp->ap->a_resource);
-	    bu_free((char *)B, "bu_list");
+	    bu_free((genptr_t)B, "bu_list");
 	    MY_FREE_SEG_LIST(A, dgcdp->ap->a_resource);
 	    BU_LIST_INSERT_LIST(A, &ret)
 
@@ -945,7 +945,7 @@
     /* should never get here */
     MY_FREE_SEG_LIST(A, dgcdp->ap->a_resource);
     MY_FREE_SEG_LIST(B, dgcdp->ap->a_resource);
-    bu_free((char *)B, "bu_list");
+    bu_free((genptr_t)B, "bu_list");
 
 #ifdef debug
     show_seg(A, "Returning (default)");
@@ -1337,7 +1337,7 @@
 
     if (final_segs)
 	MY_FREE_SEG_LIST(final_segs, dgcdp->ap->a_resource);
-    bu_free((char *)final_segs, "bu_list");
+    bu_free((genptr_t)final_segs, "bu_list");
 
     if (bu_debug&BU_DEBUG_MEM_CHECK && bu_mem_barriercheck())
 	bu_log("Error at end of shoot_and_plot()\n");
@@ -1697,15 +1697,15 @@
 		    }
 		    MY_FREE_SEG_LIST(result, dgcdp->ap->a_resource);
 
-		    bu_free((char *)dists1, "dists1");
-		    bu_free((char *)dists2, "dists2");
+		    bu_free((genptr_t)dists1, "dists1");
+		    bu_free((genptr_t)dists2, "dists2");
 		}
 	    }
 	}
     }
 
-    bu_free((char *)hits1, "hits1");
-    bu_free((char *)hits2, "hits2");
+    bu_free((genptr_t)hits1, "hits1");
+    bu_free((genptr_t)hits2, "hits2");
 }
 
 
@@ -1721,7 +1721,7 @@
 	case OP_INTERSECT:
 	    free_etree(eptr->n.left, dgcdp);
 	    free_etree(eptr->n.right, dgcdp);
-	    bu_free((char *)eptr, "node pointer");
+	    bu_free((genptr_t)eptr, "node pointer");
 	    break;
 	case OP_DB_LEAF:
 	case OP_SOLID:
@@ -1738,10 +1738,10 @@
 	    if (eptr->l.stp) {
 		if (eptr->l.stp->st_specific && rt_functab[eptr->l.stp->st_id].ft_free)
 		    rt_functab[eptr->l.stp->st_id].ft_free(eptr->l.stp);
-		bu_free((char *)eptr->l.stp, "struct soltab");
+		bu_free((genptr_t)eptr->l.stp, "struct soltab");
 	    }
 
-	    bu_free((char *)eptr, "leaf pointer");
+	    bu_free((genptr_t)eptr, "leaf pointer");
 	    break;
     }
 }
@@ -1996,7 +1996,7 @@
 	BU_GET(pg, struct rt_pg_internal);
 
 	if (!nmg_to_poly(tp->l.m, pg, tol)) {
-	    bu_free((char *)pg, "rt_pg_internal");
+	    bu_free((genptr_t)pg, "rt_pg_internal");
 	    bu_vls_printf(dgcdp->gedp->ged_result_str, "Prep failure for solid '%s'\n", tp->l.stp->st_dp->d_namep);
 	} else {
 	    struct rt_db_internal intern2;
@@ -2130,7 +2130,7 @@
 	    /* do not do an rt_free_rti() (closes the database!!!!) */
 	    rt_clean(dgcdp->rtip);
 
-	    bu_free((char *)dgcdp->rtip, "rt_i structure for 'E'");
+	    bu_free((genptr_t)dgcdp->rtip, "rt_i structure for 'E'");
 	    bu_free(dgcdp, "dgcdp");
 
 	    bu_vls_printf(gedp->ged_result_str, "Failed to get objects\n");
@@ -2163,7 +2163,7 @@
 	    /* do not do an rt_free_rti() (closes the database!!!!) */
 	    rt_clean(dgcdp->rtip);
 
-	    bu_free((char *)dgcdp->rtip, "rt_i structure for 'E'");
+	    bu_free((genptr_t)dgcdp->rtip, "rt_i structure for 'E'");
 	}
     }
 
Index: libged/draw.c
===================================================================
--- libged/draw.c	(revision 54048)
+++ libged/draw.c	(working copy)
@@ -1471,7 +1471,7 @@
 
 	max_count = BU_PTBL_LEN(tbl) + last_opt + 1;
 	bu_ptbl_free(tbl);
-	bu_free((char *)tbl, "ged_draw_guts ptbl");
+	bu_free((genptr_t)tbl, "ged_draw_guts ptbl");
 	new_argv = (char **)bu_calloc(max_count+1, sizeof(char *), "ged_draw_guts new_argv");
 	new_argc = bu_argv_from_string(new_argv, max_count, bu_vls_addr(&vls));
 
@@ -1488,7 +1488,7 @@
 
 	_ged_drawtrees(gedp, new_argc, (const char **)new_argv, kind, (struct _ged_client_data *)0);
 	bu_vls_free(&vls);
-	bu_free((char *)new_argv, "ged_draw_guts new_argv");
+	bu_free((genptr_t)new_argv, "ged_draw_guts new_argv");
     } else {
 	bu_vls_free(&vls);
 
Index: libged/get_obj_bounds.c
===================================================================
--- libged/get_obj_bounds.c	(revision 54048)
+++ libged/get_obj_bounds.c	(working copy)
@@ -273,7 +273,7 @@
 
     rt_free_rti(rtip);
     rt_db_free_internal(&intern);
-    bu_free((char *)stp, "struct soltab");
+    bu_free((genptr_t)stp, "struct soltab");
 
     return GED_OK;
 }
Index: libged/dag.cpp
===================================================================
--- libged/dag.cpp	(revision 54048)
+++ libged/dag.cpp	(working copy)
@@ -416,7 +416,7 @@
     bu_vls_free(&vls);
 
     if (rt_tree_array)
-	bu_free((char *)rt_tree_array, "printnode: rt_tree_array");
+	bu_free((genptr_t)rt_tree_array, "printnode: rt_tree_array");
     }
 
     rt_db_free_internal(&intern);
Index: libged/ged.c
===================================================================
--- libged/ged.c	(revision 54048)
+++ libged/ged.c	(working copy)
@@ -549,7 +549,7 @@
 	    }
 	    db_free_tree(rt_tree_array[i].tl_tree, &rt_uniresource);
 	}
-	if (rt_tree_array) bu_free((char *)rt_tree_array, "printnode: rt_tree_array");
+	if (rt_tree_array) bu_free((genptr_t)rt_tree_array, "printnode: rt_tree_array");
     }
     rt_db_free_internal(&intern);
 }
Index: libged/wdb_bigE.c
===================================================================
--- libged/wdb_bigE.c	(revision 54048)
+++ libged/wdb_bigE.c	(working copy)
@@ -145,7 +145,7 @@
 
 	struct rt_comb_internal *comb;
 
-	bu_free((char *)eptr, "eptr");
+	bu_free((genptr_t)eptr, "eptr");
 
 	comb = (struct rt_comb_internal *)intern.idb_ptr;
 	RT_CK_COMB(comb);
@@ -671,7 +671,7 @@
 
 	    if (BU_LIST_IS_EMPTY(A)) {
 		MY_FREE_SEG_LIST(B, dgcdp->ap->a_resource);
-		bu_free((char *)B, "bu_list");
+		bu_free((genptr_t)B, "bu_list");
 
 #ifdef debug
 		wdb_show_seg(A, "Returning");
@@ -679,7 +679,7 @@
 
 		return A;
 	    } else if (BU_LIST_IS_EMPTY(B)) {
-		bu_free((char *)B, "bu_list");
+		bu_free((genptr_t)B, "bu_list");
 
 #ifdef debug
 		wdb_show_seg(A, "Returning");
@@ -706,7 +706,7 @@
 		}
 	    }
 	    MY_FREE_SEG_LIST(B, dgcdp->ap->a_resource);
-	    bu_free((char *)B, "bu_list");
+	    bu_free((genptr_t)B, "bu_list");
 	    MY_FREE_SEG_LIST(A, dgcdp->ap->a_resource);
 	    BU_LIST_INSERT_LIST(A, &ret)
 
@@ -724,7 +724,7 @@
 	    if (BU_LIST_IS_EMPTY(A) || BU_LIST_IS_EMPTY(B)) {
 		MY_FREE_SEG_LIST(A, dgcdp->ap->a_resource);
 		MY_FREE_SEG_LIST(B, dgcdp->ap->a_resource);
-		bu_free((char *)B, "bu_list");
+		bu_free((genptr_t)B, "bu_list");
 
 #ifdef debug
 		wdb_show_seg(A, "Returning");
@@ -747,7 +747,7 @@
 		}
 	    }
 	    MY_FREE_SEG_LIST(B, dgcdp->ap->a_resource);
-	    bu_free((char *)B, "bu_list");
+	    bu_free((genptr_t)B, "bu_list");
 	    MY_FREE_SEG_LIST(A, dgcdp->ap->a_resource);
 	    BU_LIST_INSERT_LIST(A, &ret)
 
@@ -763,7 +763,7 @@
 #endif
 
 	    if (BU_LIST_IS_EMPTY(A)) {
-		bu_free((char *)A, "bu_list");
+		bu_free((genptr_t)A, "bu_list");
 
 #ifdef debug
 		wdb_show_seg(B, "Returning B (A is empty)");
@@ -772,7 +772,7 @@
 		return B;
 	    }
 	    if (BU_LIST_IS_EMPTY(B)) {
-		bu_free((char *)B, "bu_list");
+		bu_free((genptr_t)B, "bu_list");
 
 #ifdef debug
 		wdb_show_seg(A, "Returning A (B is empty)");
@@ -941,7 +941,7 @@
 	    }
 
 	    MY_FREE_SEG_LIST(B, dgcdp->ap->a_resource);
-	    bu_free((char *)B, "bu_list");
+	    bu_free((genptr_t)B, "bu_list");
 	    MY_FREE_SEG_LIST(A, dgcdp->ap->a_resource);
 	    BU_LIST_INSERT_LIST(A, &ret);
 
@@ -955,7 +955,7 @@
     /* should never get here */
     MY_FREE_SEG_LIST(A, dgcdp->ap->a_resource);
     MY_FREE_SEG_LIST(B, dgcdp->ap->a_resource);
-    bu_free((char *)B, "bu_list");
+    bu_free((genptr_t)B, "bu_list");
 
 #ifdef debug
     wdb_show_seg(A, "Returning (default)");
@@ -1339,7 +1339,7 @@
 
     if (final_segs)
 	MY_FREE_SEG_LIST(final_segs, dgcdp->ap->a_resource);
-    bu_free((char *)final_segs, "bu_list");
+    bu_free((genptr_t)final_segs, "bu_list");
 
     if (bu_debug&BU_DEBUG_MEM_CHECK && bu_mem_barriercheck())
 	bu_log("Error at end of wdb_shoot_and_plot()\n");
@@ -1693,15 +1693,15 @@
 		    }
 		    MY_FREE_SEG_LIST(result, dgcdp->ap->a_resource);
 
-		    bu_free((char *)dists1, "dists1");
-		    bu_free((char *)dists2, "dists2");
+		    bu_free((genptr_t)dists1, "dists1");
+		    bu_free((genptr_t)dists2, "dists2");
 		}
 	    }
 	}
     }
 
-    bu_free((char *)hits1, "hits1");
-    bu_free((char *)hits2, "hits2");
+    bu_free((genptr_t)hits1, "hits1");
+    bu_free((genptr_t)hits2, "hits2");
 }
 
 
@@ -1717,7 +1717,7 @@
 	case OP_INTERSECT:
 	    wdb_free_etree(eptr->n.left, dgcdp);
 	    wdb_free_etree(eptr->n.right, dgcdp);
-	    bu_free((char *)eptr, "node pointer");
+	    bu_free((genptr_t)eptr, "node pointer");
 	    break;
 	case OP_DB_LEAF:
 	case OP_SOLID:
@@ -1734,10 +1734,10 @@
 	    if (eptr->l.stp) {
 		if (eptr->l.stp->st_specific && rt_functab[eptr->l.stp->st_id].ft_free)
 		    rt_functab[eptr->l.stp->st_id].ft_free(eptr->l.stp);
-		bu_free((char *)eptr->l.stp, "struct soltab");
+		bu_free((genptr_t)eptr->l.stp, "struct soltab");
 	    }
 
-	    bu_free((char *)eptr, "leaf pointer");
+	    bu_free((genptr_t)eptr, "leaf pointer");
 	    break;
     }
 }
@@ -1992,7 +1992,7 @@
 	BU_GET(pg, struct rt_pg_internal);
 
 	if (!nmg_to_poly(tp->l.m, pg, tol)) {
-	    bu_free((char *)pg, "rt_pg_internal");
+	    bu_free((genptr_t)pg, "rt_pg_internal");
 	    Tcl_AppendResult(dgcdp->interp, "Prep failure for solid '", tp->l.stp->st_dp->d_namep,
 			     "'\n", (char *)NULL);
 	} else {
@@ -2115,7 +2115,7 @@
 	/* do not do an rt_free_rti() (closes the database!!!!) */
 	rt_clean(dgcdp->rtip);
 
-	bu_free((char *)dgcdp->rtip, "rt_i structure for 'E'");
+	bu_free((genptr_t)dgcdp->rtip, "rt_i structure for 'E'");
 	bu_free(dgcdp, "dgcdp");
 
 	bu_log("Failed to get objects\n");
@@ -2148,7 +2148,7 @@
 	/* do not do an rt_free_rti() (closes the database!!!!) */
 	rt_clean(dgcdp->rtip);
 
-	bu_free((char *)dgcdp->rtip, "rt_i structure for 'E'");
+	bu_free((genptr_t)dgcdp->rtip, "rt_i structure for 'E'");
     }
 
     dgo_color_soltab(&dgop->dgo_headSolid);
Index: libged/edcodes.c
===================================================================
--- libged/edcodes.c	(revision 54048)
+++ libged/edcodes.c	(working copy)
@@ -271,7 +271,7 @@
 	    fprintf(f_srt, "%s", line_array[j]);
 	    bu_free(line_array[j], "ged_edcodes line array element");
 	}
-	bu_free((char *)line_array, "ged_edcodes line array");
+	bu_free((genptr_t)line_array, "ged_edcodes line array");
 	fclose(f_srt);
     }
 
